You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-06-01 09:37:36

Monaka
Guest
Registered: 2017-10-24
Posts: 22

Collecte mail erreur SQL

Bonjour,

j'ai certains mails qui ne sont pas collecté sur GLPI à cause d'une erreur SQL, voici un exemple d'erreur :

2018-06-01 09:35:54 [@PS9MWS1V]
  *** MySQL query error:
  SQL: INSERT
                   INTO `glpi_ticketfollowups` (`date`,`content`,`tickets_id`,`users_id`,`requesttypes_id`,`is_private`,`date_mod`) VALUES (\'2018-06-01 09:35:53\',\'Bonjour \\nJ\'ai vu un collègue ce matin c\'est tout bon j\'ai fait comme lui merci du retour à bientôt
  Error: Erreur de syntaxe près de 'ai vu un collègue ce matin c'est tout bon j'ai fait comme lui merci du retour ' à la ligne 2
  Backtrace :
  inc\commondbtm.class.php:436                       
  inc\commondbtm.class.php:852                       CommonDBTM->addToDB()
  inc\mailcollector.class.php:554                    CommonDBTM->add()
  inc\mailcollector.class.php:1618                   MailCollector->collect()
  :                                                  MailCollector::cronMailgate()
  inc\crontask.class.php:832                         call_user_func()
  front\cron.php:88                                  CronTask::launch()

Pouvez-vous m'aider ?
Merci

Offline

#2 2018-06-01 09:56:12

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,159

Re: Collecte mail erreur SQL

Bonjour,
Quelle Version ?
clairement, il y a une apostrophe qui n'est pas "échapée", ça fait plusieurs versions que ce bug est signalé.

ça devrait être résolu en 9.2.4 et 9.1.8.... à suivre

https://github.com/glpi-project/glpi/issues/1264


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3.1  en test (ubuntu 16.04 mariadb 10.2.4)

Offline

#3 2018-06-01 10:04:16

Monaka
Guest
Registered: 2017-10-24
Posts: 22

Re: Collecte mail erreur SQL

Bonjour,
je suis en 9.1.6. J'aimerai bien faire la mise à jour via GLPI directement mais je n'arrive pas à paramétré le proxy afin qu'il cherche les mises à jours disponible.

Offline

#4 2018-06-01 10:13:08

Monaka
Guest
Registered: 2017-10-24
Posts: 22

Re: Collecte mail erreur SQL

J'ai cette erreur quand je recherche une mise à jour :
Echec de connexion au server proxy (OpenSSL SSL_connect: SSL_ERROR_SYSCALL in connection to api.github.com:443 )

Offline

Board footer

Powered by FluxBB